Skip to main content
POST
Create a project

Authorizations

Authorization
string
header
required

An Agent credential (nits_…), or a person token (nitp_…) on a deployment that enables them. GET /api/v1/session names the principal a credential proves.

Body

application/json
idempotencyKey
string
required
Required string length: 1 - 200
name
string
required
Maximum string length: 200

Response

Create a project

accountId
string
required
Minimum string length: 1
createdAt
string<date-time>
required

RFC 3339 timestamp in UTC: the offset is Z or +00:00; any other offset is refused.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|[+-]00:00))$
name
string
required
Minimum string length: 1
projectId
string
required
Minimum string length: 1